Rated 1 out of 5 stars

Please make available for Firefox 57. I know it's not your fault that this extension doesn't work anymore and that Mozilla's latest Firefox makes it incompatible. I've been using this Add on for many years and, like a lot of other folks with aging eyesights badly need it. Shame on Mozilla for not only making you incompatible but for also giving the middle finger to us older users by making their menu items unreadably small.